package org.sky.scientific.service;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import org.sky.scientific.pojo.entity.ArchiveAttachEntity;
import org.sky.scientific.pojo.entity.DownloadTask;

public interface IArchiveService {

	/**
	 * 科研档案-附件资料补充
	 * @param year
	 * @return
	 */
	ArchiveAttachEntity fjbczl(String year);

	/**
	 * 科研档案-附件资料补充-修改
	 * @param attach
	 * @return
	 */
	boolean fjbczlUpdate(ArchiveAttachEntity attach);

	void downloadFjbczlZipFiles(HttpServletRequest request, HttpServletResponse response, String year);

	void downloadCenterZipFiles(DownloadTask task);


}
